Upload a speaker's profile picture
curl --request POST \
--url https://api.zuddl.com/v1/events/{eventId}/speakers/{speakerId}/pic \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"file": "<string>"
}
'import requests
url = "https://api.zuddl.com/v1/events/{eventId}/speakers/{speakerId}/pic"
payload = { "file": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({file: '<string>'})
};
fetch('https://api.zuddl.com/v1/events/{eventId}/speakers/{speakerId}/pic', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"speakerId": "4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c3d",
"picUrl": "https://phoenixlive.imgix.net/9b2f1c33-0d5a-4d5e-8b6a-1f2e3d4c5b6a"
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"code": "<string>",
"params": {},
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"code": "<string>",
"params": {},
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"code": "<string>",
"params": {},
"errors": {}
}{
"speakerId": "4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c3d",
"picUrl": "https://phoenixlive.imgix.net/9b2f1c33-0d5a-4d5e-8b6a-1f2e3d4c5b6a"
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"code": "<string>",
"params": {},
"errors": {}
}Speakers
Upload a speaker's profile picture
Uploads and validates a picture (JPEG/PNG, max 4 MB, min 80x80 px) and replaces the speaker’s current one. Send either a multipart part named ‘file’ or an ‘imageUrl’ request parameter pointing to a publicly reachable image — exactly one of the two.
Required API key scopes: WRITE
This API can only be called with an access key that was generated for Backend usage.
POST
/
v1
/
events
/
{eventId}
/
speakers
/
{speakerId}
/
pic
Upload a speaker's profile picture
Authorizations
Provide your API key secret in the Authorization header
Path Parameters
Unique identifier of the event
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$Unique identifier of the speaker
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$Query Parameters
Publicly reachable image URL — alternative to 'file'
Body
application/json
The image file (multipart part named 'file')
Was this page helpful?
⌘I